<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for parfeedback.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
parfeedback - use parallel feedback info

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>parfeedback</B> -feedback-data <I>feedback-file</I> <I>infile</I> <I>outfile</I> {
<I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>parfeedback</I> program uses feedback tuning data generated
by <I>partune</I> to hard-code the maximum number of processors
to use for each parallel task. If only a single processor
is to be used, the parallelization overhead will be
supressed entirely. The input SUIF files for <I>parfeedback</I>
should be the files directly out of <I>pgen.</I> The <I>parfeedback</I>
program is highly sensitive to the exact form of parallel
calls used by pgen.
<P>
For best results, run <I>porky</I> with the <I>-const-prop</I> flag,
then <I>porky</I> with the <I>-fold</I> flag, and then <I>porky</I> with the
<I>-control-simp</I> flag after this pass. That will eliminate
the unused parallelization code for parallel loops that
have been suppressed by <I>parfeedback.</I>

<H2><A NAME="sect3" HREF="#toc3"><B>See</B> <B>Also</B></A></H2>

<P>
<I>partune</I> <I>pgen</I>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">See Also</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
